FTBFS on yama-capable systems

Bug #842640 reported by Colin Watson on 2011-09-06
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libdevel-bt-perl (Ubuntu)
High
Unassigned

Bug Description

Any system running a kernel with the Yama security module fails to build libdevel-bt-perl. Right now this is only happening on powerpc:

  https://launchpad.net/ubuntu/+source/libdevel-bt-perl/0.05-1build1/+build/2490923

... but it's reproducible if you try building on a current Oneiric i386 system.

The fix is probably to use prctl(PR_SET_PTRACER) to permit the relevant ptrace call to happen, but I wasn't able to get this to work. I've asked Kees for help.

Colin Watson (cjwatson) on 2011-09-06
tags: added: ftbfs
tags: added: perl-5.12-transition
Changed in libdevel-bt-perl (Ubuntu):
status: New → Confirmed
importance: Undecided → High
status: Confirmed → Triaged
Kees Cook (kees) wrote :

I tweaked colin's state machine patch slightly, see attached.

Changed in libdevel-bt-perl (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Colin Watson (cjwatson)
Matthias Klose (doko) wrote :

the build with the suggested patch hangs (checked on davis)

The attachment "debian-changes-0.05-1ubuntu1" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Colin Watson (cjwatson) wrote :

I've beaten on this for a while and failed to get it working reliably, although it does work sometimes. I think we have an async-signal-safety problem somewhere. Although this only fails to build on powerpc due to buildd setup, it fails to run everywhere on current kernels, so with regret I'm going to remove these binaries for Oneiric and we can revisit this later.

Colin Watson (cjwatson) wrote :

2011-10-11 10:16:10 INFO Creating lockfile: /var/lock/launchpad-lp-remove-package.lock
2011-10-11 10:16:19 INFO Removing candidates:
2011-10-11 10:16:19 INFO libdevel-bt-perl 0.05-1build1 in oneiric amd64
2011-10-11 10:16:19 INFO libdevel-bt-perl 0.05-1build1 in oneiric armel
2011-10-11 10:16:19 INFO libdevel-bt-perl 0.05-1build1 in oneiric i386
2011-10-11 10:16:19 INFO libdevel-bt-perl 0.05-1 in oneiric powerpc
2011-10-11 10:16:19 INFO Removed-by: Colin Watson
2011-10-11 10:16:19 INFO Comment: fails on current Ubuntu kernels, causing build failure on powerpc but runtime failure on all architectures; LP #842640
2011-10-11 10:16:19 INFO 4 packages successfully removed.
Confirm this transaction? [yes, no] yes
2011-10-11 10:16:22 INFO Transaction committed.
2011-10-11 10:16:22 INFO The archive will be updated in the next publishing cycle.

Colin Watson (cjwatson) on 2012-07-03
Changed in libdevel-bt-perl (Ubuntu):
status: In Progress → Triaged
assignee: Colin Watson (cjwatson) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers